Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.opad.filter
Class ForecastingFilter

    java.lang.Object
      kieker.analysis.analysisComponent.AbstractAnalysisComponent
          kieker.analysis.plugin.AbstractPlugin
              kieker.analysis.plugin.filter.AbstractFilterPlugin
                  kieker.analysis.plugin.AbstractUpdateableFilterPlugin
                      kieker.tools.opad.filter.ForecastingFilter

All Implemented Interfaces:
  IAnalysisComponent, IFilterPlugin, IPlugin

    public class ForecastingFilter

extends AbstractUpdateableFilterPlugin

Computes a forecast for every incoming measurement from different applications.

Since:
  1.10
Author:
  Tom Frotscher, Thomas Duellmann, Tobias Rudolph

Nested Class Summary

Nested classes/interfaces inherited from interface kieker.analysis.plugin.IPlugin
`IPlugin.PluginInputPortReference, IPlugin.STATE`

Field Summary
`static String` | `CONFIG_PROPERTY_NAME_DELTA_TIME`
`static String` | `CONFIG_PROPERTY_NAME_DELTA_UNIT`
`static String` | `CONFIG_PROPERTY_NAME_FC_METHOD`
`static String` | `CONFIG_PROPERTY_NAME_TS_WINDOW_CAPACITY`
`static String` | `INPUT_PORT_NAME_TSPOINT`
`static String` | `OUTPUT_PORT_NAME_FORECAST`
`static String` | `OUTPUT_PORT_NAME_FORECASTED_AND_CURRENT`

Fields inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`CONFIG_NAME`

Constructor Summary
`ForecastingFilter(Configuration configuration, IProjectContext projectContext)` Creates a new instance of this class.

Method Summary
`Configuration` | `getCurrentConfiguration()` This method should deliver a `Configuration` object containing the current configuration of this instance.
`void` | `inputEvent(NamedDoubleTimeSeriesPoint input)` Represents the input port for measurements.
`void` | `processInput(NamedDoubleTimeSeriesPoint input, long timestamp, String name)` Calculating the Forecast and delivers it.
`void` | `setCurrentConfiguration(Configuration config, boolean update)` Set current configuration.

Methods inherited from class kieker.analysis.plugin.AbstractUpdateableFilterPlugin
`isPropertyUpdateable`

Methods inherited from class kieker.analysis.plugin.filter.AbstractFilterPlugin
`init, terminate`

Methods inherited from class kieker.analysis.plugin.AbstractPlugin
`areAllRepositoryPortsConnected, connect, connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getIncomingPlugins, getPluginDescription, getPluginName, getState, isConnectionAllowed, shutdown, start`

Methods inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kieker.analysis.plugin.IPlugin
`connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getName, getPluginDescription, getPluginName, getState`

Field Detail

### INPUT_PORT_NAME_TSPOINT

    public static final String INPUT_PORT_NAME_TSPOINT

See Also:
  Constant Field Values

### OUTPUT_PORT_NAME_FORECAST

    public static final String OUTPUT_PORT_NAME_FORECAST

See Also:
  Constant Field Values

### OUTPUT_PORT_NAME_FORECASTED_AND_CURRENT

    public static final String OUTPUT_PORT_NAME_FORECASTED_AND_CURRENT

See Also:
  Constant Field Values

### CONFIG_PROPERTY_NAME_DELTA_TIME

    public static final String CONFIG_PROPERTY_NAME_DELTA_TIME

See Also:
  Constant Field Values

### CONFIG_PROPERTY_NAME_DELTA_UNIT

    public static final String CONFIG_PROPERTY_NAME_DELTA_UNIT

See Also:
  Constant Field Values

### CONFIG_PROPERTY_NAME_FC_METHOD

    public static final String CONFIG_PROPERTY_NAME_FC_METHOD

See Also:
  Constant Field Values

### CONFIG_PROPERTY_NAME_TS_WINDOW_CAPACITY

    public static final String CONFIG_PROPERTY_NAME_TS_WINDOW_CAPACITY

See Also:
  Constant Field Values

Constructor Detail

### ForecastingFilter

    public ForecastingFilter(Configuration configuration,
                             IProjectContext projectContext)

  Creates a new instance of this class.

  Parameters:
    `configuration` - Configuration of this component
    `projectContext` - ProjectContext of this component

Method Detail

### getCurrentConfiguration

    public Configuration getCurrentConfiguration()

  Description copied from class: `AbstractAnalysisComponent`
  This method should deliver a `Configuration` object containing the current configuration of this instance. In other words: The constructor should be able to use the given object to initialize a new instance of this class with the same intern properties.

  Specified by:
    `getCurrentConfiguration` in interface `IAnalysisComponent`
  Specified by:
    `getCurrentConfiguration` in interface `IPlugin`
  Specified by:
    `getCurrentConfiguration` in class `AbstractAnalysisComponent`
  Returns:
    A completely filled configuration object.

### setCurrentConfiguration

    public void setCurrentConfiguration(Configuration config,
                                        boolean update)

  Description copied from class: `AbstractUpdateableFilterPlugin`
  Set current configuration. Example implementation:

       // The following condition is true, if key exists in config object AND (update and isUpdateable is true OR update is false)
       if(!update || isPropertyUpdateable(CONFIG_PROPERTY_PROP_NAME)) {
          this.localProperty = config.getLongProperty(CONFIG_PROPERTY_PROP_NAME);
       }

  Specified by:
    `setCurrentConfiguration` in class `AbstractUpdateableFilterPlugin`
  Parameters:
    `config` - Configuration object that contains the configuration to be set.
    `update` - If false, set all properties, else overwrite only properties that are marked as updateable

### inputEvent

    public void inputEvent(NamedDoubleTimeSeriesPoint input)

  Represents the input port for measurements.

  Parameters:
    `input` - Incoming measurements

### processInput

    public void processInput(NamedDoubleTimeSeriesPoint input,
                             long timestamp,
                             String name)

  Calculating the Forecast and delivers it.

  Parameters:
    `input` - Incoming measurement
    `timestamp` - Timestamp of the measurement
    `name` - Name of the application of the measurement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net